Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Übernahme Modellpunkt als Layoutpunkt

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Übernahme Modellpunkt als Layoutpunkt (386 mal gelesen)
alterHausmeister
Mitglied
Hausmeister


Sehen Sie sich das Profil von alterHausmeister an!   Senden Sie eine Private Message an alterHausmeister  Schreiben Sie einen Gästebucheintrag für alterHausmeister

Beiträge: 453
Registriert: 02.02.2009

Hardwareprobleme: keine
Softwareprobleme: P3D2019/2020
allg. Probleme: ... der Vorschlag einer Office-Kaffee-Ringleitung mit Zapfhahn am Platz wurde erneut abgelehnt ...

erstellt am: 11. Mrz. 2020 11:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Test_GKK.dwg


GKK.lsp


offset.txt

 
Hallo an alle …

Wir arbeiten in Plant3D und haben immer wieder das Problem, dass in den orthogonalen Plänen die Gauss-Krüger-Koordinaten angegeben werden müssen. Nun hat es Plant3D ja nicht so mit extrem großen Zahlen, also werden die Modelle entsprechend für P3D mundgerecht aufbereitet – sprich in einen Bereich verschoben, in dem die Koordinaten verwendet werden können.

Um dann in der fertigen orthogonalen Zeichnung (sprich ein Layout vom Modell) nun auch die richtigen GKKs angeben zu können, hat Kollege was zusammengeklappert. Dabei wird ausgehend von der Verschiebung (gegebenenfalls Drehung) auf eine Datei zugegriffen, in der die entsprechenden Werte der Verschiebung stehen.

Inhalt von offset.txt
10000;20000;30000;15

Die Zahlen bedeuten die Verschiebung in
Rechtswert, Hochwert, Höhe, Verdrehwinkel

Bei Ausführung der GKK.lsp werden aus einem gewähltem Punkt und diesen Zahlen in offset.txt die wahren GKK berechnet.
Die Datei offset.txt muss sich aktuell 2 Verzeichnisebenen höher als die verwendete DWG befinden.

So weit, so gut.

Besteht die Möglichkeit, dass der gewählte Punkt im Ansichtsfenster (Modellbereich) auch gleichzeitig dieselbe Position im Layoutbereich als Startpunkt der Führung zum Ansetzen der berechneten Koordinaten benutzt werden kann? Aktuell muss der gewünschte Punkt im Modell geklickt werden und dann zusätzlich aus dem Layout der gleiche Punkt noch einmal geklickt werden, um den Startpunkt der Führung festzulegen.

(siehe Beispieldaten)

------------------
Solange Kakaobohnen an Bäumen wachsen, ist Schokolade Obst.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 1015
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 11. Mrz. 2020 12:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für alterHausmeister 10 Unities + Antwort hilfreich

Hallo Hausmeister,

folgendes sollte funktionieren:

Code:

; nach Auswahl des Punktes im Modellbereich Punkt erzeugen
(command "punkt" Punkt)
; diesen in Papierbereich verschieben
(command "berwechs" "l" "" "")  ; damit ist man dann auch schon selbst im PB und braucht nicht mehr dorthin wechseln
; Koordinaten des Punktes abfragen und in pkood_pb speichern
(setq pkoord_pb (cdr (assoc 10 (entget (entlast))))
; punkt wieder löschen
(entdel (entlast))

HTH
Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

alterHausmeister
Mitglied
Hausmeister


Sehen Sie sich das Profil von alterHausmeister an!   Senden Sie eine Private Message an alterHausmeister  Schreiben Sie einen Gästebucheintrag für alterHausmeister

Beiträge: 453
Registriert: 02.02.2009

Hardwareprobleme: keine
Softwareprobleme: P3D2019/2020
allg. Probleme: ... der Vorschlag einer Office-Kaffee-Ringleitung mit Zapfhahn am Platz wurde erneut abgelehnt ...

erstellt am: 12. Mrz. 2020 08:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Der Vorschlag klang schon gut, aber bei diesem Verfahren werden die Koordinaten aus dem Modellbereich 1:1 in das Layout übertragen. An dieser Stelle befindet sich aber nicht das Ansichtsfenster.

Ziel war, das der durch das Ansichtsfenster gewählte Punkt auch im Layoutbereich der gleiche Punkt (dann eben innerhalb des Ansichtsfensters auf dem Layout) ist.

Es müsste also irgendwas mit dem Ansichtsfenster zutun haben, da das verwendete AFenster irgendwo liegen kann. Wenn also die Führung mit dem Text im Layout gesetzt wird, sollte der Startpfeil der Führung im Layout auf die gleiche Stelle zeigen, die zuvor im Modellbereich gewählt wurde.

------------------
Solange Kakaobohnen an Bäumen wachsen, ist Schokolade Obst.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 1015
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 12. Mrz. 2020 08:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für alterHausmeister 10 Unities + Antwort hilfreich

OK, kleiner Gedankenfehler. Du must aus dem Layout/Papierbereich in das AF gehen und dann dort im Modellbereich einen Punkt wählen. Dann macht "berwechs" genau das Gewollte, es holt den Punkt aus dem AF in den PB an genau der optisch gleichen Stelle.
Im Register Modell funktioniert "berwechs" überhaupt nicht.

Also auf der Registerkarte "Schriftfeld" mit

(command "_mspace")  ins AF wechseln und dann das oben angegebene abfahren.

edit:
Mhh, macht ihr ja eigentlich. Hast Du es mal händisch probiert? Macht P3D da was anderes?

HTH
Gruß
Thomas

[Diese Nachricht wurde von spider_dd am 12. Mrz. 2020 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 1015
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 12. Mrz. 2020 08:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für alterHausmeister 10 Unities + Antwort hilfreich

Teste mal das hier Das beginnt eine Linie zu zeichnen, im PB an der Stelle, die Du im AF gewählt hast.

Code:

(defun c:test ( / )
(command "_.mspace")
(setq pmb (getpoint "Punkt waehlen"))
(command "_point" pmb)
(command "_chspace" "l" "" "")
(setq ppb (cdr (assoc 10 (entget (entlast)))))
(entdel (entlast))
(command "_line" ppb)
)

Gruß
Thomas

[Diese Nachricht wurde von spider_dd am 12. Mrz. 2020 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

alterHausmeister
Mitglied
Hausmeister


Sehen Sie sich das Profil von alterHausmeister an!   Senden Sie eine Private Message an alterHausmeister  Schreiben Sie einen Gästebucheintrag für alterHausmeister

Beiträge: 453
Registriert: 02.02.2009

Hardwareprobleme: keine
Softwareprobleme: P3D2019/2020
allg. Probleme: ... der Vorschlag einer Office-Kaffee-Ringleitung mit Zapfhahn am Platz wurde erneut abgelehnt ...

erstellt am: 12. Mrz. 2020 13:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Anmerkung2020-03-12_01.png


Anmerkung2020-03-12_02.png

 
Soooooooooo ...... Thomas,

nach der Überarbeitung mit Deinen Anregungen haben wir leider nach wie vor das Problem, dass durch das AF ein Punkt gewählt wird (geben wir Ihm mal die Koordinaten X=16417;Y=21224;Z=0) und dann die Spitze der Führung im Layout an genau dieser Stelle im Layout beginnt.
(siehe Anmerkung 1)

Der Pfeil der Führung soll aber im Zentrum des Kreises unterhalb der Koordinatenangaben (ist südlich von Hamburg - die Werte stimmen schon ...) beginnen, dieser wurde im Modell gewählt. Wir benötigen also die Koordinaten des Zentrums dieses Kreises im Layout. Aus unserer Sicht muss dazu eine Info des AF mit in die Überlegung einbezogen werden, da es ja irgendein AF auf dem Layout sein kann und es kann ja auch irgendwo im Layout liegen.
(siehe Anmerkung 2)

Im vorliegenden Fall befindet sich das Zentrum des Kreises auf X=97.18;Y=97.18 und genau dort soll auch die Führung beginnen.

------------------
Solange Kakaobohnen an Bäumen wachsen, ist Schokolade Obst.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 1015
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 12. Mrz. 2020 13:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für alterHausmeister 10 Unities + Antwort hilfreich

dann:

a) funktioniert "berwechs" in P3D nicht/anders als in ACAD
Habt ihr das mal händisch durchgespielt? Also eine Linie oder eine Punkt im Layout oder im AF erzeugen und in den jeweils anderen Bereich verschieben?

b) wenn Du die Lisp-Zeilen einzeln direkt eingibst und abarbeitest, hast Du dann nach "berwechs" einen Punkt im Layout, und wenn ja wo?

Bei mir in ACAD funktioniert das, wie gewünscht.

Gruß
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

alterHausmeister
Mitglied
Hausmeister


Sehen Sie sich das Profil von alterHausmeister an!   Senden Sie eine Private Message an alterHausmeister  Schreiben Sie einen Gästebucheintrag für alterHausmeister

Beiträge: 453
Registriert: 02.02.2009

Hardwareprobleme: keine
Softwareprobleme: P3D2019/2020
allg. Probleme: ... der Vorschlag einer Office-Kaffee-Ringleitung mit Zapfhahn am Platz wurde erneut abgelehnt ...

erstellt am: 12. Mrz. 2020 14:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ok, also im P3D mit einem Ansichtsfenster (über ACAD) funktioniert es manchmal. D.h. es hängt vom Zoomfaktor ab, ob der gewählte Punkt im Modell deckungsgleich mit dem Linienstartpunkt liegt. Ist man  mit der Ansicht dicht genug, funktioniert es.

Die AFs aus P3D haben allerdings ein anderes Verhalten und dort funktioniert es leider nicht. Der gewählte Modellpunkt und der deckungsgleiche Punkt im Layout liegen um Größenordnungen auseinander.

Es  ist also ein P3D- und kein LISP-Problem ... wie sollte es auch anders sein. 

Ich danke Dir für die Bemühungen ...

------------------
Solange Kakaobohnen an Bäumen wachsen, ist Schokolade Obst.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz